> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload an ISO application PDF for automated scrubbing in under 15 seconds (base64)

> This endpoint is for uploading ISO application PDFs in base64 format.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/iso_applications/base64
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/iso_applications/base64:
    post:
      tags:
        - ISOApplication
      summary: >-
        Upload an ISO application PDF for automated scrubbing in under 15
        seconds (base64)
      description: |
        This endpoint is for uploading ISO application PDFs in base64 format.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostIsoApplicationBase64Schema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  heron_id:
                    description: e.g. iso_
                    type: string
                  status:
                    enum:
                      - processing
                    type: string
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PostIsoApplicationBase64Schema:
      properties:
        file_base64:
          description: The base64 encoded string of the file
          example: base64_encoded_string
          pattern: ^data\:\w+\/\w+\;base64\,
          type: string
        filename:
          description: The original filename of the ISO application form
          example: iso_app.pdf
          type: string
        reference_id:
          description: A reference id for the file
          example: your-file-id
          nullable: true
          type: string
      required:
        - file_base64
        - filename
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````